<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2018
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * Version
 *
 * @author sochoa
 */
class Version {

    private $name;
    private $created;
    private $size;
    private $author;
    private $actual;
    private $comment;
    private $checksum;
    private $action;
    private $params;
    private $uuid;
    private $parent;

    function __construct() {
        
    }

    public function getName() {
        return $this->name;
    }

    public function getCreated() {
        return $this->created;
    }

    public function getSize() {
        return $this->size;
    }

    public function getAuthor() {
        return $this->author;
    }

    public function getActual() {
        return $this->actual;
    }

    public function getComment() {
        return $this->comment;
    }

    public function getChecksum() {
        return $this->checksum;
    }

    public function getAction() {
        return $this->action;
    }

    public function getParams() {
        return $this->params;
    }

    public function getUuid() {
        return $this->uuid;
    }

    public function getParent() {
        return $this->parent;
    }

    public function setName($name): void {
        $this->name = $name;
    }

    public function setCreated($created): void {
        $this->created = $created;
    }

    public function setSize($size): void {
        $this->size = $size;
    }

    public function setAuthor($author): void {
        $this->author = $author;
    }

    public function setActual($actual): void {
        $this->actual = $actual;
    }

    public function setComment($comment): void {
        $this->comment = $comment;
    }

    public function setChecksum($checksum): void {
        $this->checksum = $checksum;
    }

    public function setAction($action): void {
        $this->action = $action;
    }

    public function setParams($params): void {
        $this->params = $params;
    }

    public function setUuid($uuid): void {
        $this->uuid = $uuid;
    }

    public function setParent($parent): void {
        $this->parent = $parent;
    }

}

?>
